Skip to content

Get Collection

Gets the details of a single collection.

A request can be submitted to this endpoint using the details below:

GET
https://api.fyendalscollection.com/collection/{collectionId}
  • collectionId - The ID of the collection to retrieve.
GET /collection/3a14b163-15ee-41e2-a802-1494f2cc0d3f HTTP/1.1
Host: api.fyendalscollection.com
Authorization: Bearer eyJ...

A successful response from this endpoint gives a 200 OK and the following response model:

CollectionResponseModel.ts
interface CollectionResponseModel {
readonly collectionId: string;
readonly name: string;
readonly valued: boolean;
readonly pinned: boolean;
readonly isGoalCollection: boolean;
readonly description: string;
readonly quantity: number;
readonly image: number;
readonly cashPosition: Money | null;
readonly invested: Money | null;
readonly profit: Money | null;
readonly gain: Money | null;
readonly marketValue: Money;
}
HTTP/1.1 200 OK
Content-Type: application/json
{
"collectionId": "3a14b163-15ee-41e2-a802-1494f2cc0d3f",
"name": "My New Collection",
"valued": false,
"pinned": false,
"isGoalCollection": false,
"description": "My awesome collection!",
"quantity": 0,
"image": 0,
"cashPosition": null,
"invested": null,
"profit": null,
"gain": null,
"marketValue": {
"value": 0,
"currency": "USD"
}
}

The following problem types can be encountered when using this endpoint:

If the specified product does not exist.